## st 1.9

=== Makefile ===
# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/MPL/
# 
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
# 
# The Original Code is the Netscape Portable Runtime library.
# 
# The Initial Developer of the Original Code is Netscape
# Communications Corporation.  Portions created by Netscape are 
# Copyright (C) 1994-2000 Netscape Communications Corporation.  All
# Rights Reserved.
# 
# Contributor(s):  Silicon Graphics, Inc.
# 
# Portions created by SGI are Copyright (C) 2000-2001 Silicon
# Graphics, Inc.  All Rights Reserved.
# 
# Alternatively, the contents of this file may be used under the
# terms of the GNU General Public License Version 2 or later (the
# "GPL"), in which case the provisions of the GPL are applicable 
# instead of those above.  If you wish to allow use of your 
# version of this file only under the terms of the GPL and not to
# allow others to use your version of this file under the MPL,
# indicate your decision by deleting the provisions above and
# replace them with the notice and other provisions required by
# the GPL.  If you do not delete the provisions above, a recipient
# may use your version of this file under either the MPL or the
# GPL.

# This is the full version of the libst library - modify carefully
VERSION     = 1.9

##########################
# Supported OSes:
#
#OS         = AIX
#OS         = CYGWIN
#OS         = DARWIN
#OS         = FREEBSD
#OS         = HPUX
#OS         = HPUX_64
#OS         = IRIX
#OS         = IRIX_64
#OS         = LINUX
#OS         = NETBSD
#OS         = OPENBSD
#OS         = OSF1
#OS         = SOLARIS
#OS         = SOLARIS_64

# Please see the "Other possible defines" section below for
# possible compilation options.
##########################

CC          = cc
AR          = ar
LD          = ld
RANLIB      = ranlib
LN          = ln

SHELL       = /bin/sh
ECHO        = /bin/echo

BUILD       = DBG
TARGETDIR   = $(OS)_$(shell uname -r)_$(BUILD)

DEFINES     = -D$(OS)
CFLAGS      =
SFLAGS      =
ARFLAGS     = -rv
LNFLAGS     = -s
DSO_SUFFIX  = so

MAJOR       = $(shell echo $(VERSION) | sed 's/^\([^\.]*\).*/\1/')
DESC        = st.pc

##########################
# Platform section.
# Possible targets:

TARGETS     = aix-debug aix-optimized               \
              cygwin-debug cygwin-optimized         \
              darwin-debug darwin-optimized         \
              freebsd-debug freebsd-optimized       \
              hpux-debug hpux-optimized             \
              hpux-64-debug hpux-64-optimized       \
              irix-n32-debug irix-n32-optimized     \
              irix-64-debug irix-64-optimized       \
              linux-debug linux-optimized           \
              netbsd-debug netbsd-optimized         \
              openbsd-debug openbsd-optimized       \
              osf1-debug osf1-optimized             \
              solaris-debug solaris-optimized       \
              solaris-64-debug solaris-64-optimized

#
# Platform specifics
#

ifeq ($(OS), AIX)
AIX_VERSION = $(shell uname -v).$(shell uname -r)
TARGETDIR   = $(OS)_$(AIX_VERSION)_$(BUILD)
CC          = xlC
STATIC_ONLY = yes
ifeq ($(BUILD), OPT)
OTHER_FLAGS = -w
endif
ifneq ($(filter-out 4.1 4.2, $(AIX_VERSION)),)
DEFINES     += -DMD_HAVE_SOCKLEN_T
endif
endif

ifeq ($(OS), CYGWIN)
TARGETDIR   = $(OS)_$(BUILD)
CC          = gcc
LD          = gcc
DSO_SUFFIX  = dll
SLIBRARY    = $(TARGETDIR)/libst.dll.a
DLIBRARY    = $(TARGETDIR)/libst.dll
DEF_FILE    = $(TARGETDIR)/libst.def
LDFLAGS     = libst.def -shared --enable-auto-image-base -Wl,--output-def,$(DEF_FILE),--out-implib,$(SLIBRARY)
OTHER_FLAGS = -Wall
endif

ifeq ($(OS), DARWIN)
LD          = cc
SFLAGS      = -fPIC -fno-common
DSO_SUFFIX  = dylib
RELEASE     = $(shell uname -r | cut -d. -f1)
PPC         = $(shell test $(RELEASE) -le 9 && echo yes)
INTEL       = $(shell test $(RELEASE) -ge 9 && echo yes)
ifeq ($(PPC), yes)
CFLAGS      += -arch ppc
LDFLAGS     += -arch ppc
endif
ifeq ($(INTEL), yes)
CFLAGS      += -arch i386 -arch x86_64
LDFLAGS     += -arch i386 -arch x86_64
endif
LDFLAGS     += -dynamiclib -install_name /sw/lib/libst.$(MAJOR).$(DSO_SUFFIX) -compatibility_version $(MAJOR) -current_version $(VERSION)
OTHER_FLAGS = -Wall
endif

ifeq ($(OS), FREEBSD)
SFLAGS      = -fPIC
LDFLAGS     = -shared -soname=$(SONAME) -lc
OTHER_FLAGS = -Wall
ifeq ($(shell test -f /usr/include/sys/event.h && echo yes), yes)
DEFINES     += -DMD_HAVE_KQUEUE
endif
endif

ifeq (HPUX, $(findstring HPUX, $(OS)))
ifeq ($(OS), HPUX_64)
DEFINES     = -DHPUX
CFLAGS      = -Ae +DD64 +Z
else
CFLAGS      = -Ae +DAportable +Z
endif
RANLIB      = true
LDFLAGS     = -b
DSO_SUFFIX  = sl
endif

ifeq (IRIX, $(findstring IRIX, $(OS)))
ifeq ($(OS), IRIX_64)
DEFINES     = -DIRIX
ABIFLAG     = -64
else
ABIFLAG     = -n32
endif
RANLIB      = true
CFLAGS      = $(ABIFLAG) -mips3
LDFLAGS     = $(ABIFLAG) -shared
OTHER_FLAGS = -fullwarn
endif

ifeq ($(OS), LINUX)
EXTRA_OBJS  = $(TARGETDIR)/md.o
SFLAGS      = -fPIC
LDFLAGS     = -shared -soname=$(SONAME) -lc
OTHER_FLAGS = -Wall
ifeq ($(shell test -f /usr/include/sys/epoll.h && echo yes), yes)
DEFINES     += -DMD_HAVE_EPOLL
endif
endif

ifeq ($(OS), NETBSD)
SFLAGS      = -fPIC
LDFLAGS     = -shared -soname=$(SONAME) -lc
OTHER_FLAGS = -Wall
endif

ifeq ($(OS), OPENBSD)
SFLAGS      = -fPIC
LDFLAGS     = -shared -soname=$(SONAME) -lc
OTHER_FLAGS = -Wall
ifeq ($(shell test -f /usr/include/sys/event.h && echo yes), yes)
DEFINES     += -DMD_HAVE_KQUEUE
endif
endif

ifeq ($(OS), OSF1)
RANLIB      = true
LDFLAGS     = -shared -all -expect_unresolved "*"
endif

ifeq (SOLARIS, $(findstring SOLARIS, $(OS)))
TARGETDIR   = $(OS)_$(shell uname -r | sed 's/^5/2/')_$(BUILD)
CC          = gcc
LD          = gcc
RANLIB      = true
LDFLAGS     = -G
OTHER_FLAGS = -Wall
ifeq ($(OS), SOLARIS_64)
DEFINES     = -DSOLARIS
CFLAGS     += -m64
LDFLAGS    += -m64
endif
endif

#
# End of platform section.
##########################


ifeq ($(BUILD), OPT)
OTHER_FLAGS += -O
else
OTHER_FLAGS += -g
DEFINES     += -DDEBUG
endif

##########################
# Other possible defines:
# To use poll(2) instead of select(2) for events checking:
# DEFINES += -DUSE_POLL
# You may prefer to use select for applications that have many threads
# using one file descriptor, and poll for applications that have many
# different file descriptors.  With USE_POLL poll() is called with at
# least one pollfd per I/O-blocked thread, so 1000 threads sharing one
# descriptor will poll 1000 identical pollfds and select would be more
# efficient.  But if the threads all use different descriptors poll()
# may be better depending on your operating system's implementation of
# poll and select.  Really, it's up to you.  Oh, and on some platforms
# poll() fails with more than a few dozen descriptors.
#
# Some platforms allow to define FD_SETSIZE (if select() is used), e.g.:
# DEFINES += -DFD_SETSIZE=4096
#
# To use malloc(3) instead of mmap(2) for stack allocation:
# DEFINES += -DMALLOC_STACK
#
# To provision more than the default 16 thread-specific-data keys
# (but not too many!):
# DEFINES += -DST_KEYS_MAX=<n>
#
# To start with more than the default 64 initial pollfd slots
# (but the table grows dynamically anyway):
# DEFINES += -DST_MIN_POLLFDS_SIZE=<n>
#
# Note that you can also add these defines by specifying them as
# make/gmake arguments (without editing this Makefile). For example:
#
# make EXTRA_CFLAGS=-DUSE_POLL <target>
#
# (replace make with gmake if needed).
#
# You can also modify the default selection of an alternative event
# notification mechanism. E.g., to enable kqueue(2) support (if it's not
# enabled by default):
#
# gmake EXTRA_CFLAGS=-DMD_HAVE_KQUEUE <target>
#
# or to disable default epoll(4) support:
#
# make EXTRA_CFLAGS=-UMD_HAVE_EPOLL <target>
#
##########################

CFLAGS      += $(DEFINES) $(OTHER_FLAGS) $(EXTRA_CFLAGS)

OBJS        = $(TARGETDIR)/sched.o \
              $(TARGETDIR)/stk.o   \
              $(TARGETDIR)/sync.o  \
              $(TARGETDIR)/key.o   \
              $(TARGETDIR)/io.o    \
              $(TARGETDIR)/event.o
OBJS        += $(EXTRA_OBJS)
HEADER      = $(TARGETDIR)/st.h
SLIBRARY    = $(TARGETDIR)/libst.a
DLIBRARY    = $(TARGETDIR)/libst.$(DSO_SUFFIX).$(VERSION)
EXAMPLES    = examples

LINKNAME    = libst.$(DSO_SUFFIX)
SONAME      = libst.$(DSO_SUFFIX).$(MAJOR)
FULLNAME    = libst.$(DSO_SUFFIX).$(VERSION)

ifeq ($(OS), CYGWIN)
SONAME      = cygst.$(DSO_SUFFIX)
SLIBRARY    = $(TARGETDIR)/libst.dll.a
DLIBRARY    = $(TARGETDIR)/$(SONAME)
LINKNAME    =
# examples directory does not compile under cygwin
EXAMPLES    =
endif

ifeq ($(OS), DARWIN)
LINKNAME    = libst.$(DSO_SUFFIX)
SONAME      = libst.$(MAJOR).$(DSO_SUFFIX)
FULLNAME    = libst.$(VERSION).$(DSO_SUFFIX)
endif

ifeq ($(STATIC_ONLY), yes)
LIBRARIES   = $(SLIBRARY)
else
LIBRARIES   = $(SLIBRARY) $(DLIBRARY)
endif

ifeq ($(OS),)
ST_ALL      = unknown
else
ST_ALL      = $(TARGETDIR) $(LIBRARIES) $(HEADER) $(EXAMPLES) $(DESC)
endif

all: $(ST_ALL)

unknown:
	@echo
	@echo "Please specify one of the following targets:"
	@echo
	@for target in $(TARGETS); do echo $$target; done
	@echo

st.pc:	st.pc.in
	sed "s/@VERSION@/${VERSION}/g" < $< > $@

$(TARGETDIR):
	if [ ! -d $(TARGETDIR) ]; then mkdir $(TARGETDIR); fi

$(SLIBRARY): $(OBJS)
	$(AR) $(ARFLAGS) $@ $(OBJS)
	$(RANLIB) $@
	rm -f obj; $(LN) $(LNFLAGS) $(TARGETDIR) obj

$(DLIBRARY): $(OBJS:%.o=%-pic.o)
	$(LD) $(LDFLAGS) $^ -o $@
	if test "$(LINKNAME)"; then                             \
		cd $(TARGETDIR);				\
		rm -f $(SONAME) $(LINKNAME);			\
		$(LN) $(LNFLAGS) $(FULLNAME) $(SONAME);		\
		$(LN) $(LNFLAGS) $(FULLNAME) $(LINKNAME);	\
	fi

$(HEADER): public.h
	rm -f $@
	cp public.h $@

$(TARGETDIR)/md.o: md.S
	$(CC) $(CFLAGS) -c $< -o $@

$(TARGETDIR)/%.o: %.c common.h md.h
	$(CC) $(CFLAGS) -c $< -o $@

examples::
	@echo Making $@
	@cd $@; $(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" OS="$(OS)" TARGETDIR="$(TARGETDIR)"

clean:
	rm -rf *_OPT *_DBG obj st.pc

##########################
# Pattern rules:

ifneq ($(SFLAGS),)
# Compile with shared library options if it's a C file
$(TARGETDIR)/%-pic.o: %.c common.h md.h
	$(CC) $(CFLAGS) $(SFLAGS) -c $< -o $@
endif

# Compile assembly as normal or C as normal if no SFLAGS
%-pic.o: %.o
	rm -f $@; $(LN) $(LNFLAGS) $(<F) $@

##########################
# Target rules:

default-debug:
	. ./osguess.sh; $(MAKE) OS="$$OS" BUILD="DBG"
default default-optimized:
	. ./osguess.sh; $(MAKE) OS="$$OS" BUILD="OPT"

aix-debug:
	$(MAKE) OS="AIX" BUILD="DBG"
aix-optimized:
	$(MAKE) OS="AIX" BUILD="OPT"

cygwin-debug:
	$(MAKE) OS="CYGWIN" BUILD="DBG"
cygwin-optimized:
	$(MAKE) OS="CYGWIN" BUILD="OPT"

darwin-debug:
	$(MAKE) OS="DARWIN" BUILD="DBG"
darwin-optimized:
	$(MAKE) OS="DARWIN" BUILD="OPT"

freebsd-debug:
	$(MAKE) OS="FREEBSD" BUILD="DBG"
freebsd-optimized:
	$(MAKE) OS="FREEBSD" BUILD="OPT"

hpux-debug:
	$(MAKE) OS="HPUX" BUILD="DBG"
hpux-optimized:
	$(MAKE) OS="HPUX" BUILD="OPT"
hpux-64-debug:
	$(MAKE) OS="HPUX_64" BUILD="DBG"
hpux-64-optimized:
	$(MAKE) OS="HPUX_64" BUILD="OPT"

irix-n32-debug:
	$(MAKE) OS="IRIX" BUILD="DBG"
irix-n32-optimized:
	$(MAKE) OS="IRIX" BUILD="OPT"
irix-64-debug:
	$(MAKE) OS="IRIX_64" BUILD="DBG"
irix-64-optimized:
	$(MAKE) OS="IRIX_64" BUILD="OPT"

linux-debug:
	$(MAKE) OS="LINUX" BUILD="DBG"
linux-optimized:
	$(MAKE) OS="LINUX" BUILD="OPT"
# compatibility
linux-ia64-debug: linux-debug
linux-ia64-optimized: linux-optimized

netbsd-debug:
	$(MAKE) OS="NETBSD" BUILD="DBG"
netbsd-optimized:
	$(MAKE) OS="NETBSD" BUILD="OPT"

openbsd-debug:
	$(MAKE) OS="OPENBSD" BUILD="DBG"
openbsd-optimized:
	$(MAKE) OS="OPENBSD" BUILD="OPT"

osf1-debug:

=== extensions/Makefile ===
#
# Portions created by SGI are Copyright (C) 2000 Silicon Graphics, Inc.
# All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met: 
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer. 
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. Neither the name of Silicon Graphics, Inc. nor the names of its
#    contributors may be used to endorse or promote products derived from
#    this software without specific prior written permission. 
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# HOLDERS AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

CC          = cc

SHELL       = /bin/sh
ECHO        = /bin/echo

DEPTH       = ..
BUILD       =
TARGETDIR   = obj

DEFINES     =
OTHER_FLAGS =
CFLAGS      =

OBJDIR      = $(DEPTH)/$(TARGETDIR)
INCDIR      = $(DEPTH)/$(TARGETDIR)

LIBRESOLV   =
EXTRALIBS   =

SLIBRARY    = $(OBJDIR)/libstx.a
OBJS        = $(OBJDIR)/dnscache.o $(OBJDIR)/dnsres.o $(OBJDIR)/lrucache.o


CFLAGS      += -Wall -I$(INCDIR)
AR          = ar
ARFLAGS     = rv
RANLIB      = ranlib


##########################
# Platform section.
#

ifeq (LINUX, $(findstring LINUX, $(OS)))
LIBRESOLV   = -lresolv
endif

ifeq ($(OS), SOLARIS)
LIBRESOLV   = -lresolv
EXTRALIBS   = -lsocket -lnsl
endif

#
# End of platform section.
##########################


all: $(SLIBRARY)

$(SLIBRARY): $(OBJS)
	$(AR) $(ARFLAGS) $@ $(OBJS)
	$(RANLIB) $@

$(OBJDIR)/%.o: %.c stx.h common.h
	$(CC) $(CFLAGS) -c $< -o $@

clean:
	rm -rf $(OBJS) $(SLIBRARY)

#.DEFAULT:
#	@cd $(DEPTH); $(MAKE) $@

=== debian/changelog ===
st (1.9-3.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/02-implicit-declarations.patch: Fix an improper macro
    feature check. Thanks to Zixing Liu <zixing.liu@canonical.com>.
    (Closes: #1065797, #1066287, LP: #2060973)
  * debian/patches/1032955_riscv_support.patch: Add support for RISC-V
    CPU. Thanks to Steven Liu <liuqi05@kuaishou.com>.
    (Closes: #1032955, LP: #2061639)
  * Switch from transitional pkg-config to pkgconf.
  * Whitespace cleanup.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 18 Apr 2024 15:28:28 +0200

st (1.9-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062924

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 17:29:25 +0000

st (1.9-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Add patch to fix FTBFS on AArch64.
    (Closes: #791928)
  * debian/patches: Migrate from CDBS simplepatch to "3.0 (quilt)" patch
    handling.
  * debian/control:
    + Properly place Homepage field to have information properly identified
      by the package tracking system.
  * debian/source/format: Use "3.0 (quilt)" source format.

 -- Boyuan Yang <byang@debian.org>  Sat, 20 Jun 2020 19:31:02 -0400

st (1.9-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixed a FTBFS caused by a missing separator in debian/rules.
   (Closes: #750291)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 08 Nov 2014 22:48:09 -0200

st (1.9-3) unstable; urgency=low

  * Fixed doc-base registration for auxiliary documents.

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Sun, 01 Nov 2009 03:23:44 +0100

st (1.9-2) unstable; urgency=low

  * Switched to cdbs
  * Appease lintian (homepage, description, symbols)
  * Patch the library to hide all symbols of the form _st_*
  * Added documentation to doc-base

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Sun, 01 Nov 2009 02:39:09 +0100

st (1.9-1) unstable; urgency=low

  * New upstream release (closes: #422103)
  * Updated Standards-Version

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Tue, 20 Oct 2009 02:41:52 +0200

st (1.7-1) unstable; urgency=low

  * New upstream release (closes: #406394)
  * Increased standards-version; no changes necessary
  * Moved from DH_COMPAT level 2 to 5; no changes necessary
  * Added linker options to indicate that an executable stack is not needed
  * Downgraded optimization to -O2

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Sun, 14 Jan 2007 21:36:45 +0100

st (1.5.1-2) unstable; urgency=low

  * Changed section to libdevel

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Sun, 29 Aug 2004 16:40:26 +0200

st (1.5.1-1) unstable; urgency=low

  * New upstream release
  * Includes amd64 support (closes: #262301)

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Sun, 29 Aug 2004 15:52:25 +0200

st (1.4-1) unstable; urgency=low

  * New upstream release
  * Old bug was closed long ago (closes: #138173)

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Sat,  4 Jan 2003 20:25:12 +0000

st (1.3pre4c-1) unstable; urgency=low

  * New upstream release: 1.4c (stable will be 1.4)
  * Patches for s390 and hppa are upstream so dropped from the package.

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Sat, 26 Oct 2002 19:18:55 +0000

st (1.3pre4b-3) unstable; urgency=low

  * Added patch for s390

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Sat, 26 Oct 2002 19:18:29 +0000

st (1.3pre4b-2) unstable; urgency=low

  * Fixed section override disparity
  * Changed maintainer address to @debian.org

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Sun, 11 Aug 2002 17:46:10 +0000

st (1.3pre4b-1) unstable; urgency=low

  * New upstream release: 1.4b (stable will be 1.4)
  * Include fix from Randolph Chung for hppa. (closes: #138173) Thanks!

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Sun, 11 Aug 2002 16:38:13 +0000

st (1.3-2) unstable; urgency=low

  * Added a conflicts with the sox-dev package and sox versions prior to the
    split. This avoids the libst.a and st.h in sox.
  * (closes: #132387) ITP
  * Got the package to work on sparc. For some reason, when optimizing, we
    must specify -finline-functions or else the optimization will cause the
    context switch to crash. -O3 implies -finline-functions so use it.
  * Use gcc for linking so that systems which need -lgcc get it.
  * Stole code from mozilla to handle architectures of linux other than
    those with canned JB_SP defines.
  * mips is a pain; we have to use a custom MD_INIT_CONTEXT
  * Builds now work on sparc, arm, alpha, powerpc, ia64, i386, mipsel, mips.
  * Special thanks to Ryan Murray (neuro) for needed resources to port
    libst to the above platforms!

 -- Wesley W. Terpstra <wesley@terpstra.ca>  Fri, 22 Feb 2002 03:47:28 +0000

st (1.3-1) unstable; urgency=low

  * Initial Release.

 -- Wesley W. Terpstra <wesley@terpstra.ca>  Sun,  9 Dec 2001 00:51:25 -0800

=== debian/control ===
Source: st
Section: devel
Priority: optional
Maintainer: Wesley W. Terpstra (Debian) <terpstra@debian.org>
Build-Depends:
 debhelper (>= 7.0.0),
 cdbs (>= 0.4.52),
 autotools-dev,
# prevent accidental backports after the 64-bit time_t transition
 dpkg-dev (>= 1.22.5),
Standards-Version: 3.8.3.0
Homepage: http://state-threads.sourceforge.net/

Package: libst-dev
Section: libdevel
Architecture: any
Depends: libst1t64 (= ${binary:Version}), ${misc:Depends}, libc6-dev
Recommends: pkgconf
Conflicts: sox (<= 12.17.2-1), sox-dev
Description: State Threads Library - Development files
 The State Threads library has an interface similar to POSIX threads.
 .
 However, the threads are actually all run in-process. This type of
 threading allows for controlled schedualing points. It is highly useful
 for designing robust and extremely scalable internet applications since
 there is no resource contention and locking is generally unnecessary.
 .
 It can be combined with traditional threading or multiple process
 parallelism to take advantage of multiple processors.
 .
 This package contains the development files for compiling programs.

Package: libst1t64
Provides: ${t64:Provides}
Replaces: libst1
Breaks: libst1 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: State Threads Library
 The State Threads library has an interface similar to POSIX threads.
 .
 However, the threads are actually all run in-process. This type of
 threading allows for controlled schedualing points. It is highly useful
 for designing robust and extremely scalable internet applications since
 there is no resource contention and locking is generally unnecessary.
 .
 It can be combined with traditional threading or multiple process
 parallelism to take advantage of multiple processors.
 .
 This package provides the library required by dependent programs.

=== debian/watch ===
version=3

http://sf.net/state-threads/st-([\d\.]+)\.tar\.gz

## st menu-1.0.0

=== st_menu/requirements.txt ===
altair==4.2.0
aniso8601==9.0.1
appdirs==1.4.4
attrs==22.1.0
blinker==1.5
cachetools==5.2.0
certifi==2022.6.15
cffi==1.15.1
charset-normalizer==2.1.1
click==8.1.3
colorama==0.4.5
commonmark==0.9.1
cryptography==38.0.1
decorator==5.1.1
docopt==0.6.2
entrypoints==0.4
extra-streamlit-components==0.1.56
ez-setup==0.9
Flask==2.2.2
Flask-API==3.0.post1
Flask-Cors==3.0.10
Flask-RESTful==0.3.9
Flask-SQLAlchemy==2.5.1
gitdb==4.0.10
GitPython==3.1.29
greenlet==1.1.3
idna==3.3
importlib-metadata==5.1.0
itsdangerous==2.1.2
Jinja2==3.1.2
jsonschema==4.17.3
jwt==1.3.1
lxml==4.9.1
MarkupSafe==2.1.1
multitasking==0.0.11
mysql-connector-python==8.0.31
numpy==1.23.5
packaging==21.3
pandas==1.5.2
Pillow==9.3.0
pipreqs==0.4.11
protobuf==3.20.1
pyarrow==10.0.1
pycparser==2.21
pydeck==0.8.0
Pygments==2.13.0
PyJWT==2.4.0
Pympler==1.0.1
pyparsing==3.0.9
pyrsistent==0.19.2
python-dateutil==2.8.2
pytz==2022.2.1
pytz-deprecation-shim==0.1.0.post0
requests==2.28.1
rich==12.6.0
semver==2.13.0
six==1.16.0
smmap==5.0.0
SQLAlchemy==1.4.41
streamlit==1.15.1
toml==0.10.2
toolz==0.12.0
tornado==6.2
typing_extensions==4.4.0
tzdata==2022.7
tzlocal==4.2
urllib3==1.26.12
validators==0.20.0
watchdog==2.1.9
Werkzeug==2.2.2
yarg==0.1.9
yfinance==0.1.87
zipp==3.11.0
